#ifndef CSONG_H
#define CSONG_H

#include <QString>
#include <QTableWidgetItem>

#include "libnyquist/Decoders.h"

#include "rtwtypes.h"
#include <cstddef>
#include <cstdlib>


class csong
{
public:
    csong();
    csong(QString path);
    ~csong();
    void analyze(float preferedLoudness);
    void setNewPreferedLoudness(float preferedLoudness);
    void setPath(QString path);
    QString get_path() const;
    float get_PeakLevel() const;
    float get_Loudness() const;
    float get_correctedPeakLevel() const;
    float get_correction() const;
    float requiredCorrection;
    float linToDb(float linValue);
    QTableWidgetItem* m_widgetItem;
private:
    float m_peakLevel;
    float m_loudness;
    float m_correctedPeakLevel;
    float m_correction;
    QString m_path;
    void setWidgetProperties();
};

#endif // CSONG_H
